Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class ActionConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.config.entities.ActionConfig

All Implemented Interfaces:
  InterceptorListHolder, Parameterizable, Locatable, Serializable

    public class ActionConfig

extends Located
implements InterceptorListHolder, Parameterizable, Serializable

Contains everything needed to configure and execute an action:

- methodName - the method name to execute on the action. If this is null, the Action will be cast to the Action Interface and the execute() method called
- clazz - the class name for the action
- params - the params to be set for this action just before execution
- results - the result map {String -> View class}
- resultParameters - params for results {String -> Map}
- typeConverter - the Ognl TypeConverter to use when getting/setting properties

Version:
  $Revision: 1212 $
Author:
  Mike, Rainer Hermanns
See Also:
  Serialized Form

Field Summary
`protected String` | `className`
`protected List<ExceptionMappingConfig>` | `exceptionMappings`
`protected List<InterceptorMapping>` | `interceptors`
`protected String` | `methodName`
`protected String` | `packageName`
`protected Map<String,Object>` | `params`
`protected Map<String,ResultConfig>` | `results`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`ActionConfig()`
`ActionConfig(String methodName, Class clazz, Map<String,Object> parameters, Map<String,ResultConfig> results, List<InterceptorMapping> interceptors)`
`ActionConfig(String methodName, Class clazz, Map<String,Object> parameters, Map<String,ResultConfig> results, List<InterceptorMapping> interceptors, List<ExceptionMappingConfig> exceptionMappings)`
`ActionConfig(String methodName, String className, Map<String,Object> parameters, Map<String,ResultConfig> results, List<InterceptorMapping> interceptors)`
`ActionConfig(String methodName, String className, Map<String,Object> parameters, Map<String,ResultConfig> results, List<InterceptorMapping> interceptors, List<ExceptionMappingConfig> exceptionMappings)`
`ActionConfig(String methodName, String className, String packageName, Map<String,Object> parameters, Map<String,ResultConfig> results, List<InterceptorMapping> interceptors)`
`ActionConfig(String methodName, String className, String packageName, Map<String,Object> parameters, Map<String,ResultConfig> results, List<InterceptorMapping> interceptors, List<ExceptionMappingConfig> exceptionMappings)`

Method Summary
`void` | `addExceptionMapping(ExceptionMappingConfig exceptionMapping)`
`void` | `addExceptionMappings(List<? extends ExceptionMappingConfig> mappings)`
`void` | `addInterceptor(InterceptorMapping interceptor)`
`void` | `addInterceptors(List<InterceptorMapping> interceptors)`
`void` | `addParam(String name, Object value)`
`void` | `addResultConfig(ResultConfig resultConfig)`
`boolean` | `equals(Object o)`
`String` | `getClassName()`
`List<ExceptionMappingConfig>` | `getExceptionMappings()`
`List<InterceptorMapping>` | `getInterceptors()`
`String` | `getMethodName()` Returns name of the action method
`String` | `getPackageName()`
`Map<String,Object>` | `getParams()`
`Map<String,ResultConfig>` | `getResults()`
`int` | `hashCode()`
`void` | `setClassName(String className)`
`void` | `setMethodName(String methodName)`
`void` | `setPackageName(String packageName)`
`void` | `setParams(Map<String,Object> params)`
`void` | `setResults(Map<String,ResultConfig> results)`
`String` | `toString()`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### interceptors

    protected List<InterceptorMapping> interceptors

### params

    protected Map<String,Object> params

### results

    protected Map<String,ResultConfig> results

### exceptionMappings

    protected List<ExceptionMappingConfig> exceptionMappings

### className

    protected String className

### methodName

    protected String methodName

### packageName

    protected String packageName

Constructor Detail

### ActionConfig

    public ActionConfig()

### ActionConfig

    public ActionConfig(String methodName,
                        Class clazz,
                        Map<String,Object> parameters,
                        Map<String,ResultConfig> results,
                        List<InterceptorMapping> interceptors)

### ActionConfig

    public ActionConfig(String methodName,
                        Class clazz,
                        Map<String,Object> parameters,
                        Map<String,ResultConfig> results,
                        List<InterceptorMapping> interceptors,
                        List<ExceptionMappingConfig> exceptionMappings)

### ActionConfig

    public ActionConfig(String methodName,
                        String className,
                        Map<String,Object> parameters,
                        Map<String,ResultConfig> results,
                        List<InterceptorMapping> interceptors)

### ActionConfig

    public ActionConfig(String methodName,
                        String className,
                        Map<String,Object> parameters,
                        Map<String,ResultConfig> results,
                        List<InterceptorMapping> interceptors,
                        List<ExceptionMappingConfig> exceptionMappings)

### ActionConfig

    public ActionConfig(String methodName,
                        String className,
                        String packageName,
                        Map<String,Object> parameters,
                        Map<String,ResultConfig> results,
                        List<InterceptorMapping> interceptors)

### ActionConfig

    public ActionConfig(String methodName,
                        String className,
                        String packageName,
                        Map<String,Object> parameters,
                        Map<String,ResultConfig> results,
                        List<InterceptorMapping> interceptors,
                        List<ExceptionMappingConfig> exceptionMappings)

Method Detail

### setClassName

    public void setClassName(String className)

### getClassName

    public String getClassName()

### getExceptionMappings

    public List<ExceptionMappingConfig> getExceptionMappings()

### getInterceptors

    public List<InterceptorMapping> getInterceptors()

### setMethodName

    public void setMethodName(String methodName)

### getMethodName

    public String getMethodName()

  Returns name of the action method

  Returns:
    name of the method to execute

### setPackageName

    public void setPackageName(String packageName)

  Parameters:
    `packageName` - The packageName to set.

### getPackageName

    public String getPackageName()

  Returns:
    Returns the packageName.

### setParams

    public void setParams(Map<String,Object> params)

  Specified by:
    `setParams` in interface `Parameterizable`

### getParams

    public Map<String,Object> getParams()

  Specified by:
    `getParams` in interface `Parameterizable`

### setResults

    public void setResults(Map<String,ResultConfig> results)

### getResults

    public Map<String,ResultConfig> getResults()

### addExceptionMapping

    public void addExceptionMapping(ExceptionMappingConfig exceptionMapping)

### addExceptionMappings

    public void addExceptionMappings(List<? extends ExceptionMappingConfig> mappings)

### addInterceptor

    public void addInterceptor(InterceptorMapping interceptor)

  Specified by:
    `addInterceptor` in interface `InterceptorListHolder`

### addInterceptors

    public void addInterceptors(List<InterceptorMapping> interceptors)

  Specified by:
    `addInterceptors` in interface `InterceptorListHolder`

### addParam

    public void addParam(String name,
                         Object value)

  Specified by:
    `addParam` in interface `Parameterizable`

### addResultConfig

    public void addResultConfig(ResultConfig resultConfig)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.